-- Compiled by Scene2Res, a MTA:SA GTA III engine map importer
local textureCache = {};
local streamedObjects = {};
local pModels = {};

setCloudsEnabled(false);
debug.sethook(nil);

local function getResourceSize(path)
	if not (fileExists(path)) then return 0; end;

	local file = fileOpen(path);
	local size = fileGetSize(file)

	fileClose(file);
	return size;
end

local function requestTexture(model, path)
	local txd = textureCache[path];

	if not (txd) then
		local size = getResourceSize(path);
		if (size == 0) then return false; end

		txd = engineLoadTXD(path, false);

		if not (txd) then
			return false;
		end

		textureCache[path] = txd;
	end
	return txd;
end

local function loadModel(model)
	if (model.loaded) then return true; end

	if (model.super) then
       local superModel = pModels[model.super];
       if (superModel) then
		    if not (loadModel(superModel)) then
			    return false;
		    end
       end
	end

	engineReplaceModel(model.model, model.id);
	engineReplaceCOL(model.col, model.id);

	model.loaded = true;
	return true;
end

local function freeModel(model)
	if not (model.loaded) then return true; end

	engineRestoreModel(model.id);
	engineRestoreCOL(model.id);

	model.loaded = false;
	if (model.super) then
       local superModel = pModels[model.super];
       if (superModel) then
		    freeModel(superModel);
       end
	end
end

local function modelStreamOut ()
	local pModel = pModels[getElementModel(source)];

	if not (pModel) then return end;

	if (pModel.lodID) then return true; end

	if (pModel.isRequesting == 2) then
		pModel.isRequesting = 1;
		return true;
	elseif (pModel.isRequesting == 3) then
		pModel.isRequesting = 4;
		return true;
	elseif (pModel.isRequesting) then return true; end

	pModel.numStream = pModel.numStream - 1;

	if (pModel.numStream == 0) then
		pModel.isRequesting = 3;

		freeModel(pModel);

		pModel.isRequesting = false;
	end
end

local function modelStreamIn ()
	local pModel = pModels[getElementModel(source)];

	if not (pModel) then return end;

	if (pModel.lodID) then return true; end

	if (pModel.isRequesting == 1) then
		pModel.isRequesting = false;
		return true;
	elseif (pModel.isRequesting) then return true; end

	pModel.numStream = pModel.numStream + 1;

	if not (pModel.numStream == 1) then return true; end

	pModel.isRequesting = 2;

	if not (loadModel(pModel)) then
		setElementInterior(source, 123);
		setElementCollisionsEnabled(source, false);
	end

	if (pModel.isRequesting == 2) then
		outputDebugString("invalid model request '"..pModel.name.."'");
		freeModel(pModel);
		pModel.isRequesting = false;

		pModel.numStream = 0;
	end
end

function loadModels ()
	local pModel, pTXD, pColl, pTable;


	pModels[3975]={};
	pTable=pModels[3975];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 3975);
	pTable.model=engineLoadDFF("models/fjk01.dff", 3975);
	pTable.col=engineLoadCOL("coll/fjk01.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=3975;
	engineSetModelLODDistance(3975, 299);
	pModels[3976]={};
	pTable=pModels[3976];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 3976);
	pTable.model=engineLoadDFF("models/fjk02.dff", 3976);
	pTable.col=engineLoadCOL("coll/fjk02.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=3976;
	engineSetModelLODDistance(3976, 299);
	pModels[3977]={};
	pTable=pModels[3977];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 3977);
	pTable.model=engineLoadDFF("models/fjk03.dff", 3977);
	pTable.col=engineLoadCOL("coll/fjk03.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=3977;
	engineSetModelLODDistance(3977, 299);
	pModels[3978]={};
	pTable=pModels[3978];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 3978);
	pTable.model=engineLoadDFF("models/fjk04.dff", 3978);
	pTable.col=engineLoadCOL("coll/fjk04.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=3978;
	engineSetModelLODDistance(3978, 299);
	pModels[3979]={};
	pTable=pModels[3979];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 3979);
	pTable.model=engineLoadDFF("models/fjk05.dff", 3979);
	pTable.col=engineLoadCOL("coll/fjk05.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=3979;
	engineSetModelLODDistance(3979, 299);
	pModels[3980]={};
	pTable=pModels[3980];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 3980);
	pTable.model=engineLoadDFF("models/fjk06.dff", 3980);
	pTable.col=engineLoadCOL("coll/fjk06.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=3980;
	engineSetModelLODDistance(3980, 299);
	pModels[3981]={};
	pTable=pModels[3981];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 3981);
	pTable.model=engineLoadDFF("models/fjk07.dff", 3981);
	pTable.col=engineLoadCOL("coll/fjk07.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=3981;
	engineSetModelLODDistance(3981, 299);
	pModels[3982]={};
	pTable=pModels[3982];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 3982);
	pTable.model=engineLoadDFF("models/fjk08.dff", 3982);
	pTable.col=engineLoadCOL("coll/fjk08.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=3982;
	engineSetModelLODDistance(3982, 299);
	pModels[3983]={};
	pTable=pModels[3983];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 3983);
	pTable.model=engineLoadDFF("models/fjk09.dff", 3983);
	pTable.col=engineLoadCOL("coll/fjk09.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=3983;
	engineSetModelLODDistance(3983, 299);
	pModels[3984]={};
	pTable=pModels[3984];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 3984);
	pTable.model=engineLoadDFF("models/fjk10.dff", 3984);
	pTable.col=engineLoadCOL("coll/fjk10.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=3984;
	engineSetModelLODDistance(3984, 299);
	pModels[3985]={};
	pTable=pModels[3985];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 3985);
	pTable.model=engineLoadDFF("models/fjk11.dff", 3985);
	pTable.col=engineLoadCOL("coll/fjk11.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=3985;
	engineSetModelLODDistance(3985, 299);
	pModels[3986]={};
	pTable=pModels[3986];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 3986);
	pTable.model=engineLoadDFF("models/fjk12.dff", 3986);
	pTable.col=engineLoadCOL("coll/fjk12.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=3986;
	engineSetModelLODDistance(3986, 299);
	pModels[3987]={};
	pTable=pModels[3987];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 3987);
	pTable.model=engineLoadDFF("models/fjk13.dff", 3987);
	pTable.col=engineLoadCOL("coll/fjk13.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=3987;
	engineSetModelLODDistance(3987, 299);
	pModels[3988]={};
	pTable=pModels[3988];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 3988);
	pTable.model=engineLoadDFF("models/fjk14.dff", 3988);
	pTable.col=engineLoadCOL("coll/fjk14.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=3988;
	engineSetModelLODDistance(3988, 299);
	pModels[3989]={};
	pTable=pModels[3989];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 3989);
	pTable.model=engineLoadDFF("models/fjk15.dff", 3989);
	pTable.col=engineLoadCOL("coll/fjk15.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=3989;
	engineSetModelLODDistance(3989, 299);
	pModels[3990]={};
	pTable=pModels[3990];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 3990);
	pTable.model=engineLoadDFF("models/fjk16.dff", 3990);
	pTable.col=engineLoadCOL("coll/fjk16.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=3990;
	engineSetModelLODDistance(3990, 299);
	pModels[3993]={};
	pTable=pModels[3993];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 3993);
	pTable.model=engineLoadDFF("models/fjk17.dff", 3993);
	pTable.col=engineLoadCOL("coll/fjk17.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=3993;
	engineSetModelLODDistance(3993, 299);
	pModels[3994]={};
	pTable=pModels[3994];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 3994);
	pTable.model=engineLoadDFF("models/fjk18.dff", 3994);
	pTable.col=engineLoadCOL("coll/fjk18.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=3994;
	engineSetModelLODDistance(3994, 299);
	pModels[3995]={};
	pTable=pModels[3995];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 3995);
	pTable.model=engineLoadDFF("models/fjk19.dff", 3995);
	pTable.col=engineLoadCOL("coll/fjk19.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=3995;
	engineSetModelLODDistance(3995, 299);
	pModels[3996]={};
	pTable=pModels[3996];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 3996);
	pTable.model=engineLoadDFF("models/fjk20.dff", 3996);
	pTable.col=engineLoadCOL("coll/fjk20.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=3996;
	engineSetModelLODDistance(3996, 299);
	pModels[3997]={};
	pTable=pModels[3997];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 3997);
	pTable.model=engineLoadDFF("models/fjk21.dff", 3997);
	pTable.col=engineLoadCOL("coll/fjk21.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=3997;
	engineSetModelLODDistance(3997, 299);
	pModels[3998]={};
	pTable=pModels[3998];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 3998);
	pTable.model=engineLoadDFF("models/fjk22.dff", 3998);
	pTable.col=engineLoadCOL("coll/fjk22.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=3998;
	engineSetModelLODDistance(3998, 299);
	pModels[3999]={};
	pTable=pModels[3999];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 3999);
	pTable.model=engineLoadDFF("models/fjk23.dff", 3999);
	pTable.col=engineLoadCOL("coll/fjk23.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=3999;
	engineSetModelLODDistance(3999, 299);
	pModels[4000]={};
	pTable=pModels[4000];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4000);
	pTable.model=engineLoadDFF("models/fjk24.dff", 4000);
	pTable.col=engineLoadCOL("coll/fjk24.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4000;
	engineSetModelLODDistance(4000, 299);
	pModels[4001]={};
	pTable=pModels[4001];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4001);
	pTable.model=engineLoadDFF("models/fjk25.dff", 4001);
	pTable.col=engineLoadCOL("coll/fjk25.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4001;
	engineSetModelLODDistance(4001, 299);
	pModels[4002]={};
	pTable=pModels[4002];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4002);
	pTable.model=engineLoadDFF("models/fjk26.dff", 4002);
	pTable.col=engineLoadCOL("coll/fjk26.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4002;
	engineSetModelLODDistance(4002, 299);
	pModels[4004]={};
	pTable=pModels[4004];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4004);
	pTable.model=engineLoadDFF("models/fjk27.dff", 4004);
	pTable.col=engineLoadCOL("coll/fjk27.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4004;
	engineSetModelLODDistance(4004, 299);
	pModels[4005]={};
	pTable=pModels[4005];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4005);
	pTable.model=engineLoadDFF("models/fjk28.dff", 4005);
	pTable.col=engineLoadCOL("coll/fjk28.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4005;
	engineSetModelLODDistance(4005, 299);
	pModels[4006]={};
	pTable=pModels[4006];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4006);
	pTable.model=engineLoadDFF("models/fjk29.dff", 4006);
	pTable.col=engineLoadCOL("coll/fjk29.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4006;
	engineSetModelLODDistance(4006, 299);
	pModels[4007]={};
	pTable=pModels[4007];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4007);
	pTable.model=engineLoadDFF("models/fjk30.dff", 4007);
	pTable.col=engineLoadCOL("coll/fjk30.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4007;
	engineSetModelLODDistance(4007, 299);
	pModels[4008]={};
	pTable=pModels[4008];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4008);
	pTable.model=engineLoadDFF("models/fjk31.dff", 4008);
	pTable.col=engineLoadCOL("coll/fjk31.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4008;
	engineSetModelLODDistance(4008, 299);
	pModels[4009]={};
	pTable=pModels[4009];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4009);
	pTable.model=engineLoadDFF("models/fjk32.dff", 4009);
	pTable.col=engineLoadCOL("coll/fjk32.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4009;
	engineSetModelLODDistance(4009, 299);
	pModels[4010]={};
	pTable=pModels[4010];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4010);
	pTable.model=engineLoadDFF("models/fjk33.dff", 4010);
	pTable.col=engineLoadCOL("coll/fjk33.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4010;
	engineSetModelLODDistance(4010, 299);
	pModels[4011]={};
	pTable=pModels[4011];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4011);
	pTable.model=engineLoadDFF("models/fjk34.dff", 4011);
	pTable.col=engineLoadCOL("coll/fjk34.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4011;
	engineSetModelLODDistance(4011, 299);
	pModels[4012]={};
	pTable=pModels[4012];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4012);
	pTable.model=engineLoadDFF("models/fjk35.dff", 4012);
	pTable.col=engineLoadCOL("coll/fjk35.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4012;
	engineSetModelLODDistance(4012, 299);
	pModels[4013]={};
	pTable=pModels[4013];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4013);
	pTable.model=engineLoadDFF("models/fjk36.dff", 4013);
	pTable.col=engineLoadCOL("coll/fjk36.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4013;
	engineSetModelLODDistance(4013, 299);
	pModels[4014]={};
	pTable=pModels[4014];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4014);
	pTable.model=engineLoadDFF("models/fjk37.dff", 4014);
	pTable.col=engineLoadCOL("coll/fjk37.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4014;
	engineSetModelLODDistance(4014, 299);
	pModels[4016]={};
	pTable=pModels[4016];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4016);
	pTable.model=engineLoadDFF("models/fjk38.dff", 4016);
	pTable.col=engineLoadCOL("coll/fjk38.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4016;
	engineSetModelLODDistance(4016, 299);
	pModels[4017]={};
	pTable=pModels[4017];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4017);
	pTable.model=engineLoadDFF("models/fjk39.dff", 4017);
	pTable.col=engineLoadCOL("coll/fjk39.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4017;
	engineSetModelLODDistance(4017, 299);
	pModels[4018]={};
	pTable=pModels[4018];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4018);
	pTable.model=engineLoadDFF("models/fjk40.dff", 4018);
	pTable.col=engineLoadCOL("coll/fjk40.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4018;
	engineSetModelLODDistance(4018, 299);
	pModels[4019]={};
	pTable=pModels[4019];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4019);
	pTable.model=engineLoadDFF("models/fjk41.dff", 4019);
	pTable.col=engineLoadCOL("coll/fjk41.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4019;
	engineSetModelLODDistance(4019, 299);
	pModels[4021]={};
	pTable=pModels[4021];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4021);
	pTable.model=engineLoadDFF("models/fjk42.dff", 4021);
	pTable.col=engineLoadCOL("coll/fjk42.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4021;
	engineSetModelLODDistance(4021, 299);
	pModels[4022]={};
	pTable=pModels[4022];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4022);
	pTable.model=engineLoadDFF("models/fjk43.dff", 4022);
	pTable.col=engineLoadCOL("coll/fjk43.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4022;
	engineSetModelLODDistance(4022, 299);
	pModels[4023]={};
	pTable=pModels[4023];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4023);
	pTable.model=engineLoadDFF("models/fjk44.dff", 4023);
	pTable.col=engineLoadCOL("coll/fjk44.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4023;
	engineSetModelLODDistance(4023, 299);
	pModels[4024]={};
	pTable=pModels[4024];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4024);
	pTable.model=engineLoadDFF("models/fjk45.dff", 4024);
	pTable.col=engineLoadCOL("coll/fjk45.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4024;
	engineSetModelLODDistance(4024, 299);
	pModels[4025]={};
	pTable=pModels[4025];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4025);
	pTable.model=engineLoadDFF("models/fjk46.dff", 4025);
	pTable.col=engineLoadCOL("coll/fjk46.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4025;
	engineSetModelLODDistance(4025, 299);
	pModels[4026]={};
	pTable=pModels[4026];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4026);
	pTable.model=engineLoadDFF("models/fjk47.dff", 4026);
	pTable.col=engineLoadCOL("coll/fjk47.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4026;
	engineSetModelLODDistance(4026, 299);
	pModels[4027]={};
	pTable=pModels[4027];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4027);
	pTable.model=engineLoadDFF("models/fjk48.dff", 4027);
	pTable.col=engineLoadCOL("coll/fjk48.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4027;
	engineSetModelLODDistance(4027, 299);
	pModels[4028]={};
	pTable=pModels[4028];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4028);
	pTable.model=engineLoadDFF("models/fjk49.dff", 4028);
	pTable.col=engineLoadCOL("coll/fjk49.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4028;
	engineSetModelLODDistance(4028, 299);
	pModels[4029]={};
	pTable=pModels[4029];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4029);
	pTable.model=engineLoadDFF("models/fjk50.dff", 4029);
	pTable.col=engineLoadCOL("coll/fjk50.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4029;
	engineSetModelLODDistance(4029, 299);
	pModels[4030]={};
	pTable=pModels[4030];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4030);
	pTable.model=engineLoadDFF("models/fjk51.dff", 4030);
	pTable.col=engineLoadCOL("coll/fjk51.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4030;
	engineSetModelLODDistance(4030, 299);
	pModels[4031]={};
	pTable=pModels[4031];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4031);
	pTable.model=engineLoadDFF("models/fjk52.dff", 4031);
	pTable.col=engineLoadCOL("coll/fjk52.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4031;
	engineSetModelLODDistance(4031, 299);
	pModels[4032]={};
	pTable=pModels[4032];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4032);
	pTable.model=engineLoadDFF("models/fjk53.dff", 4032);
	pTable.col=engineLoadCOL("coll/fjk53.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4032;
	engineSetModelLODDistance(4032, 299);
	pModels[4033]={};
	pTable=pModels[4033];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4033);
	pTable.model=engineLoadDFF("models/fjk54.dff", 4033);
	pTable.col=engineLoadCOL("coll/fjk54.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4033;
	engineSetModelLODDistance(4033, 299);
	pModels[4035]={};
	pTable=pModels[4035];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4035);
	pTable.model=engineLoadDFF("models/fjk55.dff", 4035);
	pTable.col=engineLoadCOL("coll/fjk55.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4035;
	engineSetModelLODDistance(4035, 299);
	pModels[4036]={};
	pTable=pModels[4036];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4036);
	pTable.model=engineLoadDFF("models/fjk56.dff", 4036);
	pTable.col=engineLoadCOL("coll/fjk56.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4036;
	engineSetModelLODDistance(4036, 299);
	pModels[4037]={};
	pTable=pModels[4037];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4037);
	pTable.model=engineLoadDFF("models/fjk57.dff", 4037);
	pTable.col=engineLoadCOL("coll/fjk57.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4037;
	engineSetModelLODDistance(4037, 299);
	pModels[4038]={};
	pTable=pModels[4038];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4038);
	pTable.model=engineLoadDFF("models/fjk58.dff", 4038);
	pTable.col=engineLoadCOL("coll/fjk58.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4038;
	engineSetModelLODDistance(4038, 299);
	pModels[4039]={};
	pTable=pModels[4039];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4039);
	pTable.model=engineLoadDFF("models/fjk59.dff", 4039);
	pTable.col=engineLoadCOL("coll/fjk59.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4039;
	engineSetModelLODDistance(4039, 299);
	pModels[4040]={};
	pTable=pModels[4040];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4040);
	pTable.model=engineLoadDFF("models/fjk60.dff", 4040);
	pTable.col=engineLoadCOL("coll/fjk60.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4040;
	engineSetModelLODDistance(4040, 299);
	pModels[4041]={};
	pTable=pModels[4041];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4041);
	pTable.model=engineLoadDFF("models/fjk61.dff", 4041);
	pTable.col=engineLoadCOL("coll/fjk61.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4041;
	engineSetModelLODDistance(4041, 299);
	pModels[4042]={};
	pTable=pModels[4042];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4042);
	pTable.model=engineLoadDFF("models/fjk62.dff", 4042);
	pTable.col=engineLoadCOL("coll/fjk62.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4042;
	engineSetModelLODDistance(4042, 299);
	pModels[4043]={};
	pTable=pModels[4043];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4043);
	pTable.model=engineLoadDFF("models/fjk63.dff", 4043);
	pTable.col=engineLoadCOL("coll/fjk63.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4043;
	engineSetModelLODDistance(4043, 299);
	pModels[4044]={};
	pTable=pModels[4044];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4044);
	pTable.model=engineLoadDFF("models/fjk64.dff", 4044);
	pTable.col=engineLoadCOL("coll/fjk64.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4044;
	engineSetModelLODDistance(4044, 299);
	pModels[4045]={};
	pTable=pModels[4045];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4045);
	pTable.model=engineLoadDFF("models/fjk65.dff", 4045);
	pTable.col=engineLoadCOL("coll/fjk65.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4045;
	engineSetModelLODDistance(4045, 299);
	pModels[4046]={};
	pTable=pModels[4046];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4046);
	pTable.model=engineLoadDFF("models/fjk66.dff", 4046);
	pTable.col=engineLoadCOL("coll/fjk66.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4046;
	engineSetModelLODDistance(4046, 299);
	pModels[4047]={};
	pTable=pModels[4047];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4047);
	pTable.model=engineLoadDFF("models/fjk67.dff", 4047);
	pTable.col=engineLoadCOL("coll/fjk67.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4047;
	engineSetModelLODDistance(4047, 299);
	pModels[4048]={};
	pTable=pModels[4048];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4048);
	pTable.model=engineLoadDFF("models/fjk68.dff", 4048);
	pTable.col=engineLoadCOL("coll/fjk68.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4048;
	engineSetModelLODDistance(4048, 299);
	pModels[4049]={};
	pTable=pModels[4049];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4049);
	pTable.model=engineLoadDFF("models/fjk69.dff", 4049);
	pTable.col=engineLoadCOL("coll/fjk69.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4049;
	engineSetModelLODDistance(4049, 299);
	pModels[4050]={};
	pTable=pModels[4050];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4050);
	pTable.model=engineLoadDFF("models/fjk70.dff", 4050);
	pTable.col=engineLoadCOL("coll/fjk70.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4050;
	engineSetModelLODDistance(4050, 299);
	pModels[4051]={};
	pTable=pModels[4051];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4051);
	pTable.model=engineLoadDFF("models/fjk71.dff", 4051);
	pTable.col=engineLoadCOL("coll/fjk71.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4051;
	engineSetModelLODDistance(4051, 299);
	pModels[4052]={};
	pTable=pModels[4052];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4052);
	pTable.model=engineLoadDFF("models/fjk72.dff", 4052);
	pTable.col=engineLoadCOL("coll/fjk72.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4052;
	engineSetModelLODDistance(4052, 299);
	pModels[4053]={};
	pTable=pModels[4053];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4053);
	pTable.model=engineLoadDFF("models/fjk73.dff", 4053);
	pTable.col=engineLoadCOL("coll/fjk73.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4053;
	engineSetModelLODDistance(4053, 299);
	pModels[4054]={};
	pTable=pModels[4054];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4054);
	pTable.model=engineLoadDFF("models/fjk74.dff", 4054);
	pTable.col=engineLoadCOL("coll/fjk74.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4054;
	engineSetModelLODDistance(4054, 299);
	pModels[4055]={};
	pTable=pModels[4055];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4055);
	pTable.model=engineLoadDFF("models/fjk75.dff", 4055);
	pTable.col=engineLoadCOL("coll/fjk75.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4055;
	engineSetModelLODDistance(4055, 299);
	pModels[4056]={};
	pTable=pModels[4056];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4056);
	pTable.model=engineLoadDFF("models/fjk76.dff", 4056);
	pTable.col=engineLoadCOL("coll/fjk76.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4056;
	engineSetModelLODDistance(4056, 299);
	pModels[4057]={};
	pTable=pModels[4057];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4057);
	pTable.model=engineLoadDFF("models/fjk77.dff", 4057);
	pTable.col=engineLoadCOL("coll/fjk77.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4057;
	engineSetModelLODDistance(4057, 299);
	pModels[4058]={};
	pTable=pModels[4058];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4058);
	pTable.model=engineLoadDFF("models/fjk78.dff", 4058);
	pTable.col=engineLoadCOL("coll/fjk78.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4058;
	engineSetModelLODDistance(4058, 299);
	pModels[4059]={};
	pTable=pModels[4059];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4059);
	pTable.model=engineLoadDFF("models/fjk79.dff", 4059);
	pTable.col=engineLoadCOL("coll/fjk79.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4059;
	engineSetModelLODDistance(4059, 299);
	pModels[4060]={};
	pTable=pModels[4060];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4060);
	pTable.model=engineLoadDFF("models/fjk80.dff", 4060);
	pTable.col=engineLoadCOL("coll/fjk80.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4060;
	engineSetModelLODDistance(4060, 299);
	pModels[4061]={};
	pTable=pModels[4061];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4061);
	pTable.model=engineLoadDFF("models/fjk81.dff", 4061);
	pTable.col=engineLoadCOL("coll/fjk81.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4061;
	engineSetModelLODDistance(4061, 299);
	pModels[4062]={};
	pTable=pModels[4062];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4062);
	pTable.model=engineLoadDFF("models/fjk82.dff", 4062);
	pTable.col=engineLoadCOL("coll/fjk82.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4062;
	engineSetModelLODDistance(4062, 299);
	pModels[4063]={};
	pTable=pModels[4063];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4063);
	pTable.model=engineLoadDFF("models/fjk83.dff", 4063);
	pTable.col=engineLoadCOL("coll/fjk83.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4063;
	engineSetModelLODDistance(4063, 299);
	pModels[4064]={};
	pTable=pModels[4064];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4064);
	pTable.model=engineLoadDFF("models/fjk84.dff", 4064);
	pTable.col=engineLoadCOL("coll/fjk84.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4064;
	engineSetModelLODDistance(4064, 299);
	pModels[4065]={};
	pTable=pModels[4065];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4065);
	pTable.model=engineLoadDFF("models/fjk85.dff", 4065);
	pTable.col=engineLoadCOL("coll/fjk85.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4065;
	engineSetModelLODDistance(4065, 299);
	pModels[4066]={};
	pTable=pModels[4066];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4066);
	pTable.model=engineLoadDFF("models/fjk86.dff", 4066);
	pTable.col=engineLoadCOL("coll/fjk86.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4066;
	engineSetModelLODDistance(4066, 299);
	pModels[4067]={};
	pTable=pModels[4067];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4067);
	pTable.model=engineLoadDFF("models/fjk87.dff", 4067);
	pTable.col=engineLoadCOL("coll/fjk87.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4067;
	engineSetModelLODDistance(4067, 299);
	pModels[4068]={};
	pTable=pModels[4068];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4068);
	pTable.model=engineLoadDFF("models/fjk88.dff", 4068);
	pTable.col=engineLoadCOL("coll/fjk88.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4068;
	engineSetModelLODDistance(4068, 299);
	pModels[4069]={};
	pTable=pModels[4069];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4069);
	pTable.model=engineLoadDFF("models/fjk89.dff", 4069);
	pTable.col=engineLoadCOL("coll/fjk89.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4069;
	engineSetModelLODDistance(4069, 299);
	pModels[4070]={};
	pTable=pModels[4070];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4070);
	pTable.model=engineLoadDFF("models/fjk90.dff", 4070);
	pTable.col=engineLoadCOL("coll/fjk90.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4070;
	engineSetModelLODDistance(4070, 299);
	pModels[4071]={};
	pTable=pModels[4071];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4071);
	pTable.model=engineLoadDFF("models/fjk91.dff", 4071);
	pTable.col=engineLoadCOL("coll/fjk91.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4071;
	engineSetModelLODDistance(4071, 299);
	pModels[4072]={};
	pTable=pModels[4072];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4072);
	pTable.model=engineLoadDFF("models/fjk92.dff", 4072);
	pTable.col=engineLoadCOL("coll/fjk92.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4072;
	engineSetModelLODDistance(4072, 299);
	pModels[4073]={};
	pTable=pModels[4073];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4073);
	pTable.model=engineLoadDFF("models/fjk93.dff", 4073);
	pTable.col=engineLoadCOL("coll/fjk93.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4073;
	engineSetModelLODDistance(4073, 299);
	pModels[4074]={};
	pTable=pModels[4074];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4074);
	pTable.model=engineLoadDFF("models/fjk94.dff", 4074);
	pTable.col=engineLoadCOL("coll/fjk94.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4074;
	engineSetModelLODDistance(4074, 299);
	pModels[4075]={};
	pTable=pModels[4075];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4075);
	pTable.model=engineLoadDFF("models/fjk95.dff", 4075);
	pTable.col=engineLoadCOL("coll/fjk95.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4075;
	engineSetModelLODDistance(4075, 299);
	pModels[4076]={};
	pTable=pModels[4076];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4076);
	pTable.model=engineLoadDFF("models/fjk96.dff", 4076);
	pTable.col=engineLoadCOL("coll/fjk96.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4076;
	engineSetModelLODDistance(4076, 299);
	pModels[4077]={};
	pTable=pModels[4077];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4077);
	pTable.model=engineLoadDFF("models/fjk97.dff", 4077);
	pTable.col=engineLoadCOL("coll/fjk97.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4077;
	engineSetModelLODDistance(4077, 299);
	pModels[4078]={};
	pTable=pModels[4078];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4078);
	pTable.model=engineLoadDFF("models/fjk98.dff", 4078);
	pTable.col=engineLoadCOL("coll/fjk98.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4078;
	engineSetModelLODDistance(4078, 299);
	pModels[4079]={};
	pTable=pModels[4079];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4079);
	pTable.model=engineLoadDFF("models/fjk99.dff", 4079);
	pTable.col=engineLoadCOL("coll/fjk99.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4079;
	engineSetModelLODDistance(4079, 299);
	pModels[4080]={};
	pTable=pModels[4080];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4080);
	pTable.model=engineLoadDFF("models/fjk100.dff", 4080);
	pTable.col=engineLoadCOL("coll/fjk100.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4080;
	engineSetModelLODDistance(4080, 299);
	pModels[4081]={};
	pTable=pModels[4081];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4081);
	pTable.model=engineLoadDFF("models/fjk101.dff", 4081);
	pTable.col=engineLoadCOL("coll/fjk101.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4081;
	engineSetModelLODDistance(4081, 299);
	pModels[4082]={};
	pTable=pModels[4082];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4082);
	pTable.model=engineLoadDFF("models/fjk102.dff", 4082);
	pTable.col=engineLoadCOL("coll/fjk102.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4082;
	engineSetModelLODDistance(4082, 299);
	pModels[4083]={};
	pTable=pModels[4083];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4083);
	pTable.model=engineLoadDFF("models/fjk103.dff", 4083);
	pTable.col=engineLoadCOL("coll/fjk103.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4083;
	engineSetModelLODDistance(4083, 299);
	pModels[4085]={};
	pTable=pModels[4085];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4085);
	pTable.model=engineLoadDFF("models/fjk104.dff", 4085);
	pTable.col=engineLoadCOL("coll/fjk104.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4085;
	engineSetModelLODDistance(4085, 299);
	pModels[4086]={};
	pTable=pModels[4086];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4086);
	pTable.model=engineLoadDFF("models/fjk105.dff", 4086);
	pTable.col=engineLoadCOL("coll/fjk105.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4086;
	engineSetModelLODDistance(4086, 299);
	pModels[4087]={};
	pTable=pModels[4087];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4087);
	pTable.model=engineLoadDFF("models/fjk106.dff", 4087);
	pTable.col=engineLoadCOL("coll/fjk106.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4087;
	engineSetModelLODDistance(4087, 299);
	pModels[4088]={};
	pTable=pModels[4088];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4088);
	pTable.model=engineLoadDFF("models/fjk107.dff", 4088);
	pTable.col=engineLoadCOL("coll/fjk107.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4088;
	engineSetModelLODDistance(4088, 299);
	pModels[4089]={};
	pTable=pModels[4089];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4089);
	pTable.model=engineLoadDFF("models/fjk108.dff", 4089);
	pTable.col=engineLoadCOL("coll/fjk108.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4089;
	engineSetModelLODDistance(4089, 299);
	pModels[4090]={};
	pTable=pModels[4090];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4090);
	pTable.model=engineLoadDFF("models/fjk109.dff", 4090);
	pTable.col=engineLoadCOL("coll/fjk109.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4090;
	engineSetModelLODDistance(4090, 299);
	pModels[4091]={};
	pTable=pModels[4091];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4091);
	pTable.model=engineLoadDFF("models/fjk110.dff", 4091);
	pTable.col=engineLoadCOL("coll/fjk110.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4091;
	engineSetModelLODDistance(4091, 299);
	pModels[4092]={};
	pTable=pModels[4092];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4092);
	pTable.model=engineLoadDFF("models/fjk111.dff", 4092);
	pTable.col=engineLoadCOL("coll/fjk111.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4092;
	engineSetModelLODDistance(4092, 299);
	pModels[4093]={};
	pTable=pModels[4093];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4093);
	pTable.model=engineLoadDFF("models/fjk112.dff", 4093);
	pTable.col=engineLoadCOL("coll/fjk112.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4093;
	engineSetModelLODDistance(4093, 299);
	pModels[4094]={};
	pTable=pModels[4094];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4094);
	pTable.model=engineLoadDFF("models/fjk113.dff", 4094);
	pTable.col=engineLoadCOL("coll/fjk113.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4094;
	engineSetModelLODDistance(4094, 299);
	pModels[4095]={};
	pTable=pModels[4095];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4095);
	pTable.model=engineLoadDFF("models/fjk114.dff", 4095);
	pTable.col=engineLoadCOL("coll/fjk114.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4095;
	engineSetModelLODDistance(4095, 299);
	pModels[4096]={};
	pTable=pModels[4096];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4096);
	pTable.model=engineLoadDFF("models/fjk115.dff", 4096);
	pTable.col=engineLoadCOL("coll/fjk115.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4096;
	engineSetModelLODDistance(4096, 299);
	pModels[4097]={};
	pTable=pModels[4097];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4097);
	pTable.model=engineLoadDFF("models/fjk116.dff", 4097);
	pTable.col=engineLoadCOL("coll/fjk116.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4097;
	engineSetModelLODDistance(4097, 299);
	pModels[4098]={};
	pTable=pModels[4098];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4098);
	pTable.model=engineLoadDFF("models/fjk117.dff", 4098);
	pTable.col=engineLoadCOL("coll/fjk117.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4098;
	engineSetModelLODDistance(4098, 299);
	pModels[4101]={};
	pTable=pModels[4101];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4101);
	pTable.model=engineLoadDFF("models/fjk118.dff", 4101);
	pTable.col=engineLoadCOL("coll/fjk118.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4101;
	engineSetModelLODDistance(4101, 299);
	pModels[4103]={};
	pTable=pModels[4103];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4103);
	pTable.model=engineLoadDFF("models/fjk119.dff", 4103);
	pTable.col=engineLoadCOL("coll/fjk119.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4103;
	engineSetModelLODDistance(4103, 299);
	pModels[4104]={};
	pTable=pModels[4104];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4104);
	pTable.model=engineLoadDFF("models/fjk120.dff", 4104);
	pTable.col=engineLoadCOL("coll/fjk120.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4104;
	engineSetModelLODDistance(4104, 299);
	pModels[4105]={};
	pTable=pModels[4105];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4105);
	pTable.model=engineLoadDFF("models/fjk121.dff", 4105);
	pTable.col=engineLoadCOL("coll/fjk121.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4105;
	engineSetModelLODDistance(4105, 299);
	pModels[4108]={};
	pTable=pModels[4108];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4108);
	pTable.model=engineLoadDFF("models/fjk122.dff", 4108);
	pTable.col=engineLoadCOL("coll/fjk122.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4108;
	engineSetModelLODDistance(4108, 299);
	pModels[4109]={};
	pTable=pModels[4109];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4109);
	pTable.model=engineLoadDFF("models/fjk123.dff", 4109);
	pTable.col=engineLoadCOL("coll/fjk123.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4109;
	engineSetModelLODDistance(4109, 299);
	pModels[4110]={};
	pTable=pModels[4110];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4110);
	pTable.model=engineLoadDFF("models/fjk124.dff", 4110);
	pTable.col=engineLoadCOL("coll/fjk124.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4110;
	engineSetModelLODDistance(4110, 299);
	pModels[4111]={};
	pTable=pModels[4111];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4111);
	pTable.model=engineLoadDFF("models/fjk125.dff", 4111);
	pTable.col=engineLoadCOL("coll/fjk125.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4111;
	engineSetModelLODDistance(4111, 299);
	pModels[4112]={};
	pTable=pModels[4112];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4112);
	pTable.model=engineLoadDFF("models/fjk126.dff", 4112);
	pTable.col=engineLoadCOL("coll/fjk126.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4112;
	engineSetModelLODDistance(4112, 299);
	pModels[4113]={};
	pTable=pModels[4113];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4113);
	pTable.model=engineLoadDFF("models/fjk127.dff", 4113);
	pTable.col=engineLoadCOL("coll/fjk127.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4113;
	engineSetModelLODDistance(4113, 299);
	pModels[4114]={};
	pTable=pModels[4114];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4114);
	pTable.model=engineLoadDFF("models/fjk128.dff", 4114);
	pTable.col=engineLoadCOL("coll/fjk128.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4114;
	engineSetModelLODDistance(4114, 299);
	pModels[4115]={};
	pTable=pModels[4115];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4115);
	pTable.model=engineLoadDFF("models/fjk129.dff", 4115);
	pTable.col=engineLoadCOL("coll/fjk129.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4115;
	engineSetModelLODDistance(4115, 299);
	pModels[4116]={};
	pTable=pModels[4116];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4116);
	pTable.model=engineLoadDFF("models/fjk130.dff", 4116);
	pTable.col=engineLoadCOL("coll/fjk130.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4116;
	engineSetModelLODDistance(4116, 299);
	pModels[4117]={};
	pTable=pModels[4117];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4117);
	pTable.model=engineLoadDFF("models/fjk131.dff", 4117);
	pTable.col=engineLoadCOL("coll/fjk131.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4117;
	engineSetModelLODDistance(4117, 299);
	pModels[4118]={};
	pTable=pModels[4118];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4118);
	pTable.model=engineLoadDFF("models/fjk132.dff", 4118);
	pTable.col=engineLoadCOL("coll/fjk132.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4118;
	engineSetModelLODDistance(4118, 299);
	pModels[4119]={};
	pTable=pModels[4119];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4119);
	pTable.model=engineLoadDFF("models/fjk133.dff", 4119);
	pTable.col=engineLoadCOL("coll/fjk133.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4119;
	engineSetModelLODDistance(4119, 299);
	pModels[4122]={};
	pTable=pModels[4122];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4122);
	pTable.model=engineLoadDFF("models/fjk134.dff", 4122);
	pTable.col=engineLoadCOL("coll/fjk134.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4122;
	engineSetModelLODDistance(4122, 299);
	pModels[4123]={};
	pTable=pModels[4123];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4123);
	pTable.model=engineLoadDFF("models/fjk135.dff", 4123);
	pTable.col=engineLoadCOL("coll/fjk135.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4123;
	engineSetModelLODDistance(4123, 299);
	pModels[4124]={};
	pTable=pModels[4124];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4124);
	pTable.model=engineLoadDFF("models/fjk136.dff", 4124);
	pTable.col=engineLoadCOL("coll/fjk136.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4124;
	engineSetModelLODDistance(4124, 299);
	pModels[4125]={};
	pTable=pModels[4125];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4125);
	pTable.model=engineLoadDFF("models/fjk137.dff", 4125);
	pTable.col=engineLoadCOL("coll/fjk137.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4125;
	engineSetModelLODDistance(4125, 299);
	pModels[4126]={};
	pTable=pModels[4126];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4126);
	pTable.model=engineLoadDFF("models/fjk138.dff", 4126);
	pTable.col=engineLoadCOL("coll/fjk138.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4126;
	engineSetModelLODDistance(4126, 299);
	pModels[4127]={};
	pTable=pModels[4127];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4127);
	pTable.model=engineLoadDFF("models/fjk139.dff", 4127);
	pTable.col=engineLoadCOL("coll/fjk139.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4127;
	engineSetModelLODDistance(4127, 299);
	pModels[4128]={};
	pTable=pModels[4128];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4128);
	pTable.model=engineLoadDFF("models/fjk140.dff", 4128);
	pTable.col=engineLoadCOL("coll/fjk140.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4128;
	engineSetModelLODDistance(4128, 299);
	pModels[4130]={};
	pTable=pModels[4130];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4130);
	pTable.model=engineLoadDFF("models/fjk141.dff", 4130);
	pTable.col=engineLoadCOL("coll/fjk141.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4130;
	engineSetModelLODDistance(4130, 299);
	pModels[4132]={};
	pTable=pModels[4132];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4132);
	pTable.model=engineLoadDFF("models/fjk142.dff", 4132);
	pTable.col=engineLoadCOL("coll/fjk142.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4132;
	engineSetModelLODDistance(4132, 299);
	pModels[4133]={};
	pTable=pModels[4133];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4133);
	pTable.model=engineLoadDFF("models/fjk143.dff", 4133);
	pTable.col=engineLoadCOL("coll/fjk143.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4133;
	engineSetModelLODDistance(4133, 299);
	pModels[4134]={};
	pTable=pModels[4134];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4134);
	pTable.model=engineLoadDFF("models/fjk144.dff", 4134);
	pTable.col=engineLoadCOL("coll/fjk144.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4134;
	engineSetModelLODDistance(4134, 299);
	pModels[4135]={};
	pTable=pModels[4135];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4135);
	pTable.model=engineLoadDFF("models/fjk145.dff", 4135);
	pTable.col=engineLoadCOL("coll/fjk145.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4135;
	engineSetModelLODDistance(4135, 299);
	pModels[4136]={};
	pTable=pModels[4136];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4136);
	pTable.model=engineLoadDFF("models/fjk146.dff", 4136);
	pTable.col=engineLoadCOL("coll/fjk146.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4136;
	engineSetModelLODDistance(4136, 299);
	pModels[4137]={};
	pTable=pModels[4137];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4137);
	pTable.model=engineLoadDFF("models/fjk147.dff", 4137);
	pTable.col=engineLoadCOL("coll/fjk147.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4137;
	engineSetModelLODDistance(4137, 299);
	pModels[4138]={};
	pTable=pModels[4138];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4138);
	pTable.model=engineLoadDFF("models/fjk148.dff", 4138);
	pTable.col=engineLoadCOL("coll/fjk148.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4138;
	engineSetModelLODDistance(4138, 299);
	pModels[4139]={};
	pTable=pModels[4139];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4139);
	pTable.model=engineLoadDFF("models/fjk149.dff", 4139);
	pTable.col=engineLoadCOL("coll/fjk149.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4139;
	engineSetModelLODDistance(4139, 299);
	pModels[4140]={};
	pTable=pModels[4140];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4140);
	pTable.model=engineLoadDFF("models/fjk150.dff", 4140);
	pTable.col=engineLoadCOL("coll/fjk150.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4140;
	engineSetModelLODDistance(4140, 299);
	pModels[4141]={};
	pTable=pModels[4141];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4141);
	pTable.model=engineLoadDFF("models/fjk151.dff", 4141);
	pTable.col=engineLoadCOL("coll/fjk151.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4141;
	engineSetModelLODDistance(4141, 299);
	pModels[4142]={};
	pTable=pModels[4142];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4142);
	pTable.model=engineLoadDFF("models/fjk152.dff", 4142);
	pTable.col=engineLoadCOL("coll/fjk152.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4142;
	engineSetModelLODDistance(4142, 299);
	pModels[4143]={};
	pTable=pModels[4143];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4143);
	pTable.model=engineLoadDFF("models/fjk153.dff", 4143);
	pTable.col=engineLoadCOL("coll/fjk153.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4143;
	engineSetModelLODDistance(4143, 299);
	pModels[4144]={};
	pTable=pModels[4144];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4144);
	pTable.model=engineLoadDFF("models/fjk154.dff", 4144);
	pTable.col=engineLoadCOL("coll/fjk154.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4144;
	engineSetModelLODDistance(4144, 299);
	pModels[4145]={};
	pTable=pModels[4145];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4145);
	pTable.model=engineLoadDFF("models/fjk155.dff", 4145);
	pTable.col=engineLoadCOL("coll/fjk155.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4145;
	engineSetModelLODDistance(4145, 299);
	pModels[4146]={};
	pTable=pModels[4146];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4146);
	pTable.model=engineLoadDFF("models/fjk156.dff", 4146);
	pTable.col=engineLoadCOL("coll/fjk156.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4146;
	engineSetModelLODDistance(4146, 299);
	pModels[4147]={};
	pTable=pModels[4147];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4147);
	pTable.model=engineLoadDFF("models/fjk157.dff", 4147);
	pTable.col=engineLoadCOL("coll/fjk157.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4147;
	engineSetModelLODDistance(4147, 299);
	pModels[4148]={};
	pTable=pModels[4148];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4148);
	pTable.model=engineLoadDFF("models/fjk158.dff", 4148);
	pTable.col=engineLoadCOL("coll/fjk158.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4148;
	engineSetModelLODDistance(4148, 299);
	pModels[4149]={};
	pTable=pModels[4149];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4149);
	pTable.model=engineLoadDFF("models/fjk159.dff", 4149);
	pTable.col=engineLoadCOL("coll/fjk159.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4149;
	engineSetModelLODDistance(4149, 299);
	pModels[4150]={};
	pTable=pModels[4150];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4150);
	pTable.model=engineLoadDFF("models/fjk160.dff", 4150);
	pTable.col=engineLoadCOL("coll/fjk160.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4150;
	engineSetModelLODDistance(4150, 299);
	pModels[4151]={};
	pTable=pModels[4151];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4151);
	pTable.model=engineLoadDFF("models/fjk161.dff", 4151);
	pTable.col=engineLoadCOL("coll/fjk161.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4151;
	engineSetModelLODDistance(4151, 299);
	pModels[4152]={};
	pTable=pModels[4152];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4152);
	pTable.model=engineLoadDFF("models/fjk162.dff", 4152);
	pTable.col=engineLoadCOL("coll/fjk162.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4152;
	engineSetModelLODDistance(4152, 299);
	pModels[4153]={};
	pTable=pModels[4153];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4153);
	pTable.model=engineLoadDFF("models/fjk163.dff", 4153);
	pTable.col=engineLoadCOL("coll/fjk163.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4153;
	engineSetModelLODDistance(4153, 299);
	pModels[4154]={};
	pTable=pModels[4154];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4154);
	pTable.model=engineLoadDFF("models/fjk164.dff", 4154);
	pTable.col=engineLoadCOL("coll/fjk164.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4154;
	engineSetModelLODDistance(4154, 299);
	pModels[4155]={};
	pTable=pModels[4155];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4155);
	pTable.model=engineLoadDFF("models/fjk165.dff", 4155);
	pTable.col=engineLoadCOL("coll/fjk165.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4155;
	engineSetModelLODDistance(4155, 299);
	pModels[4157]={};
	pTable=pModels[4157];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4157);
	pTable.model=engineLoadDFF("models/fjk166.dff", 4157);
	pTable.col=engineLoadCOL("coll/fjk166.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4157;
	engineSetModelLODDistance(4157, 299);
	pModels[4158]={};
	pTable=pModels[4158];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4158);
	pTable.model=engineLoadDFF("models/fjk167.dff", 4158);
	pTable.col=engineLoadCOL("coll/fjk167.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4158;
	engineSetModelLODDistance(4158, 299);
	pModels[4159]={};
	pTable=pModels[4159];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4159);
	pTable.model=engineLoadDFF("models/fjk168.dff", 4159);
	pTable.col=engineLoadCOL("coll/fjk168.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4159;
	engineSetModelLODDistance(4159, 299);
	pModels[4160]={};
	pTable=pModels[4160];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4160);
	pTable.model=engineLoadDFF("models/fjk169.dff", 4160);
	pTable.col=engineLoadCOL("coll/fjk169.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4160;
	engineSetModelLODDistance(4160, 299);
	pModels[4161]={};
	pTable=pModels[4161];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4161);
	pTable.model=engineLoadDFF("models/fjk170.dff", 4161);
	pTable.col=engineLoadCOL("coll/fjk170.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4161;
	engineSetModelLODDistance(4161, 299);
	pModels[4162]={};
	pTable=pModels[4162];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4162);
	pTable.model=engineLoadDFF("models/fjk171.dff", 4162);
	pTable.col=engineLoadCOL("coll/fjk171.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4162;
	engineSetModelLODDistance(4162, 299);
	pModels[4164]={};
	pTable=pModels[4164];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4164);
	pTable.model=engineLoadDFF("models/fjk172.dff", 4164);
	pTable.col=engineLoadCOL("coll/fjk172.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4164;
	engineSetModelLODDistance(4164, 299);
	pModels[4166]={};
	pTable=pModels[4166];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4166);
	pTable.model=engineLoadDFF("models/fjk173.dff", 4166);
	pTable.col=engineLoadCOL("coll/fjk173.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4166;
	engineSetModelLODDistance(4166, 299);
	pModels[4167]={};
	pTable=pModels[4167];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4167);
	pTable.model=engineLoadDFF("models/fjk174.dff", 4167);
	pTable.col=engineLoadCOL("coll/fjk174.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4167;
	engineSetModelLODDistance(4167, 299);
	pModels[4169]={};
	pTable=pModels[4169];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4169);
	pTable.model=engineLoadDFF("models/fjk175.dff", 4169);
	pTable.col=engineLoadCOL("coll/fjk175.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4169;
	engineSetModelLODDistance(4169, 299);
	pModels[4176]={};
	pTable=pModels[4176];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4176);
	pTable.model=engineLoadDFF("models/fjk176.dff", 4176);
	pTable.col=engineLoadCOL("coll/fjk176.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4176;
	engineSetModelLODDistance(4176, 299);
	pModels[4177]={};
	pTable=pModels[4177];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4177);
	pTable.model=engineLoadDFF("models/fjk177.dff", 4177);
	pTable.col=engineLoadCOL("coll/fjk177.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4177;
	engineSetModelLODDistance(4177, 299);
	pModels[4178]={};
	pTable=pModels[4178];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4178);
	pTable.model=engineLoadDFF("models/fjk178.dff", 4178);
	pTable.col=engineLoadCOL("coll/fjk178.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4178;
	engineSetModelLODDistance(4178, 299);
	pModels[4179]={};
	pTable=pModels[4179];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4179);
	pTable.model=engineLoadDFF("models/fjk179.dff", 4179);
	pTable.col=engineLoadCOL("coll/fjk179.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4179;
	engineSetModelLODDistance(4179, 299);
	pModels[4181]={};
	pTable=pModels[4181];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4181);
	pTable.model=engineLoadDFF("models/fjk180.dff", 4181);
	pTable.col=engineLoadCOL("coll/fjk180.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4181;
	engineSetModelLODDistance(4181, 299);
	pModels[4182]={};
	pTable=pModels[4182];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4182);
	pTable.model=engineLoadDFF("models/fjk181.dff", 4182);
	pTable.col=engineLoadCOL("coll/fjk181.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4182;
	engineSetModelLODDistance(4182, 299);
	pModels[4186]={};
	pTable=pModels[4186];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4186);
	pTable.model=engineLoadDFF("models/fjk182.dff", 4186);
	pTable.col=engineLoadCOL("coll/fjk182.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4186;
	engineSetModelLODDistance(4186, 299);
	pModels[4187]={};
	pTable=pModels[4187];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4187);
	pTable.model=engineLoadDFF("models/fjk183.dff", 4187);
	pTable.col=engineLoadCOL("coll/fjk183.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4187;
	engineSetModelLODDistance(4187, 299);
	pModels[4188]={};
	pTable=pModels[4188];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4188);
	pTable.model=engineLoadDFF("models/fjk184.dff", 4188);
	pTable.col=engineLoadCOL("coll/fjk184.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4188;
	engineSetModelLODDistance(4188, 299);
	pModels[4191]={};
	pTable=pModels[4191];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4191);
	pTable.model=engineLoadDFF("models/fjk185.dff", 4191);
	pTable.col=engineLoadCOL("coll/fjk185.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4191;
	engineSetModelLODDistance(4191, 299);
	pModels[4193]={};
	pTable=pModels[4193];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4193);
	pTable.model=engineLoadDFF("models/fjk186.dff", 4193);
	pTable.col=engineLoadCOL("coll/fjk186.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4193;
	engineSetModelLODDistance(4193, 299);
	pModels[4194]={};
	pTable=pModels[4194];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4194);
	pTable.model=engineLoadDFF("models/fjk187.dff", 4194);
	pTable.col=engineLoadCOL("coll/fjk187.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4194;
	engineSetModelLODDistance(4194, 299);
	pModels[4197]={};
	pTable=pModels[4197];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4197);
	pTable.model=engineLoadDFF("models/fjk188.dff", 4197);
	pTable.col=engineLoadCOL("coll/fjk188.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4197;
	engineSetModelLODDistance(4197, 299);
	pModels[4198]={};
	pTable=pModels[4198];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4198);
	pTable.model=engineLoadDFF("models/fjk189.dff", 4198);
	pTable.col=engineLoadCOL("coll/fjk189.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4198;
	engineSetModelLODDistance(4198, 299);
	pModels[4199]={};
	pTable=pModels[4199];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4199);
	pTable.model=engineLoadDFF("models/fjk190.dff", 4199);
	pTable.col=engineLoadCOL("coll/fjk190.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4199;
	engineSetModelLODDistance(4199, 299);
	pModels[4200]={};
	pTable=pModels[4200];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4200);
	pTable.model=engineLoadDFF("models/fjk191.dff", 4200);
	pTable.col=engineLoadCOL("coll/fjk191.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4200;
	engineSetModelLODDistance(4200, 299);
	pModels[4203]={};
	pTable=pModels[4203];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4203);
	pTable.model=engineLoadDFF("models/fjk192.dff", 4203);
	pTable.col=engineLoadCOL("coll/fjk192.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4203;
	engineSetModelLODDistance(4203, 299);
	pModels[4204]={};
	pTable=pModels[4204];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4204);
	pTable.model=engineLoadDFF("models/fjk193.dff", 4204);
	pTable.col=engineLoadCOL("coll/fjk193.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4204;
	engineSetModelLODDistance(4204, 299);
	pModels[4208]={};
	pTable=pModels[4208];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4208);
	pTable.model=engineLoadDFF("models/fjk194.dff", 4208);
	pTable.col=engineLoadCOL("coll/fjk194.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4208;
	engineSetModelLODDistance(4208, 299);
	pModels[4209]={};
	pTable=pModels[4209];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4209);
	pTable.model=engineLoadDFF("models/fjk195.dff", 4209);
	pTable.col=engineLoadCOL("coll/fjk195.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4209;
	engineSetModelLODDistance(4209, 299);
	pModels[4210]={};
	pTable=pModels[4210];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4210);
	pTable.model=engineLoadDFF("models/fjk196.dff", 4210);
	pTable.col=engineLoadCOL("coll/fjk196.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4210;
	engineSetModelLODDistance(4210, 299);
	pModels[4211]={};
	pTable=pModels[4211];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4211);
	pTable.model=engineLoadDFF("models/fjk197.dff", 4211);
	pTable.col=engineLoadCOL("coll/fjk197.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4211;
	engineSetModelLODDistance(4211, 299);
	pModels[4223]={};
	pTable=pModels[4223];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4223);
	pTable.model=engineLoadDFF("models/fjk198.dff", 4223);
	pTable.col=engineLoadCOL("coll/fjk198.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4223;
	engineSetModelLODDistance(4223, 299);
	pModels[4224]={};
	pTable=pModels[4224];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4224);
	pTable.model=engineLoadDFF("models/fjk199.dff", 4224);
	pTable.col=engineLoadCOL("coll/fjk199.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4224;
	engineSetModelLODDistance(4224, 299);
	pModels[4225]={};
	pTable=pModels[4225];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4225);
	pTable.model=engineLoadDFF("models/fjk200.dff", 4225);
	pTable.col=engineLoadCOL("coll/fjk200.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4225;
	engineSetModelLODDistance(4225, 299);
	pModels[4226]={};
	pTable=pModels[4226];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4226);
	pTable.model=engineLoadDFF("models/fjk201.dff", 4226);
	pTable.col=engineLoadCOL("coll/fjk201.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4226;
	engineSetModelLODDistance(4226, 299);
	pModels[4228]={};
	pTable=pModels[4228];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4228);
	pTable.model=engineLoadDFF("models/fjk202.dff", 4228);
	pTable.col=engineLoadCOL("coll/fjk202.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4228;
	engineSetModelLODDistance(4228, 299);
	pModels[4229]={};
	pTable=pModels[4229];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4229);
	pTable.model=engineLoadDFF("models/fjk203.dff", 4229);
	pTable.col=engineLoadCOL("coll/fjk203.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4229;
	engineSetModelLODDistance(4229, 299);
	pModels[4232]={};
	pTable=pModels[4232];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4232);
	pTable.model=engineLoadDFF("models/fjk204.dff", 4232);
	pTable.col=engineLoadCOL("coll/fjk204.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4232;
	engineSetModelLODDistance(4232, 299);
	pModels[4234]={};
	pTable=pModels[4234];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4234);
	pTable.model=engineLoadDFF("models/fjk205.dff", 4234);
	pTable.col=engineLoadCOL("coll/fjk205.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4234;
	engineSetModelLODDistance(4234, 299);
	pModels[4235]={};
	pTable=pModels[4235];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4235);
	pTable.model=engineLoadDFF("models/fjk206.dff", 4235);
	pTable.col=engineLoadCOL("coll/fjk206.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4235;
	engineSetModelLODDistance(4235, 299);
	pModels[4236]={};
	pTable=pModels[4236];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4236);
	pTable.model=engineLoadDFF("models/fjk207.dff", 4236);
	pTable.col=engineLoadCOL("coll/fjk207.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4236;
	engineSetModelLODDistance(4236, 299);
	pModels[4237]={};
	pTable=pModels[4237];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4237);
	pTable.model=engineLoadDFF("models/fjk208.dff", 4237);
	pTable.col=engineLoadCOL("coll/fjk208.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4237;
	engineSetModelLODDistance(4237, 299);
	pModels[4238]={};
	pTable=pModels[4238];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4238);
	pTable.model=engineLoadDFF("models/fjk209.dff", 4238);
	pTable.col=engineLoadCOL("coll/fjk209.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4238;
	engineSetModelLODDistance(4238, 299);
	pModels[4239]={};
	pTable=pModels[4239];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4239);
	pTable.model=engineLoadDFF("models/fjk210.dff", 4239);
	pTable.col=engineLoadCOL("coll/fjk210.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4239;
	engineSetModelLODDistance(4239, 299);
	pModels[4347]={};
	pTable=pModels[4347];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4347);
	pTable.model=engineLoadDFF("models/fjk211.dff", 4347);
	pTable.col=engineLoadCOL("coll/fjk211.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4347;
	engineSetModelLODDistance(4347, 299);
	pModels[4375]={};
	pTable=pModels[4375];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4375);
	pTable.model=engineLoadDFF("models/fjk212.dff", 4375);
	pTable.col=engineLoadCOL("coll/fjk212.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4375;
	engineSetModelLODDistance(4375, 299);
	pModels[4376]={};
	pTable=pModels[4376];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4376);
	pTable.model=engineLoadDFF("models/fjk213.dff", 4376);
	pTable.col=engineLoadCOL("coll/fjk213.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4376;
	engineSetModelLODDistance(4376, 299);
	pModels[4377]={};
	pTable=pModels[4377];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4377);
	pTable.model=engineLoadDFF("models/fjk214.dff", 4377);
	pTable.col=engineLoadCOL("coll/fjk214.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4377;
	engineSetModelLODDistance(4377, 299);
	pModels[4378]={};
	pTable=pModels[4378];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4378);
	pTable.model=engineLoadDFF("models/fjk215.dff", 4378);
	pTable.col=engineLoadCOL("coll/fjk215.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4378;
	engineSetModelLODDistance(4378, 299);
	pModels[4379]={};
	pTable=pModels[4379];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4379);
	pTable.model=engineLoadDFF("models/fjk216.dff", 4379);
	pTable.col=engineLoadCOL("coll/fjk216.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4379;
	engineSetModelLODDistance(4379, 299);
	pModels[4380]={};
	pTable=pModels[4380];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4380);
	pTable.model=engineLoadDFF("models/fjk217.dff", 4380);
	pTable.col=engineLoadCOL("coll/fjk217.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4380;
	engineSetModelLODDistance(4380, 299);
	pModels[4381]={};
	pTable=pModels[4381];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4381);
	pTable.model=engineLoadDFF("models/fjk218.dff", 4381);
	pTable.col=engineLoadCOL("coll/fjk218.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4381;
	engineSetModelLODDistance(4381, 299);
	pModels[4382]={};
	pTable=pModels[4382];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4382);
	pTable.model=engineLoadDFF("models/fjk219.dff", 4382);
	pTable.col=engineLoadCOL("coll/fjk219.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4382;
	engineSetModelLODDistance(4382, 299);
	pModels[4383]={};
	pTable=pModels[4383];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4383);
	pTable.model=engineLoadDFF("models/fjk220.dff", 4383);
	pTable.col=engineLoadCOL("coll/fjk220.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4383;
	engineSetModelLODDistance(4383, 299);
	pModels[4384]={};
	pTable=pModels[4384];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4384);
	pTable.model=engineLoadDFF("models/fjk221.dff", 4384);
	pTable.col=engineLoadCOL("coll/fjk221.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4384;
	engineSetModelLODDistance(4384, 299);
	pModels[4385]={};
	pTable=pModels[4385];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4385);
	pTable.model=engineLoadDFF("models/fjk222.dff", 4385);
	pTable.col=engineLoadCOL("coll/fjk222.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4385;
	engineSetModelLODDistance(4385, 299);
	pModels[4386]={};
	pTable=pModels[4386];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4386);
	pTable.model=engineLoadDFF("models/fjk223.dff", 4386);
	pTable.col=engineLoadCOL("coll/fjk223.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4386;
	engineSetModelLODDistance(4386, 299);
	pModels[4387]={};
	pTable=pModels[4387];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4387);
	pTable.model=engineLoadDFF("models/fjk224.dff", 4387);
	pTable.col=engineLoadCOL("coll/fjk224.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4387;
	engineSetModelLODDistance(4387, 299);
	pModels[4388]={};
	pTable=pModels[4388];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4388);
	pTable.model=engineLoadDFF("models/fjk225.dff", 4388);
	pTable.col=engineLoadCOL("coll/fjk225.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4388;
	engineSetModelLODDistance(4388, 299);
	pModels[4389]={};
	pTable=pModels[4389];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4389);
	pTable.model=engineLoadDFF("models/fjk226.dff", 4389);
	pTable.col=engineLoadCOL("coll/fjk226.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4389;
	engineSetModelLODDistance(4389, 299);
	pModels[4390]={};
	pTable=pModels[4390];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4390);
	pTable.model=engineLoadDFF("models/fjk227.dff", 4390);
	pTable.col=engineLoadCOL("coll/fjk227.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4390;
	engineSetModelLODDistance(4390, 299);
	pModels[4391]={};
	pTable=pModels[4391];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4391);
	pTable.model=engineLoadDFF("models/fjk228.dff", 4391);
	pTable.col=engineLoadCOL("coll/fjk228.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4391;
	engineSetModelLODDistance(4391, 299);
	pModels[4392]={};
	pTable=pModels[4392];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4392);
	pTable.model=engineLoadDFF("models/fjk229.dff", 4392);
	pTable.col=engineLoadCOL("coll/fjk229.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4392;
	engineSetModelLODDistance(4392, 299);
	pModels[4393]={};
	pTable=pModels[4393];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4393);
	pTable.model=engineLoadDFF("models/fjk230.dff", 4393);
	pTable.col=engineLoadCOL("coll/fjk230.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4393;
	engineSetModelLODDistance(4393, 299);
	pModels[4394]={};
	pTable=pModels[4394];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4394);
	pTable.model=engineLoadDFF("models/fjk231.dff", 4394);
	pTable.col=engineLoadCOL("coll/fjk231.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4394;
	engineSetModelLODDistance(4394, 299);
	pModels[4395]={};
	pTable=pModels[4395];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4395);
	pTable.model=engineLoadDFF("models/fjk232.dff", 4395);
	pTable.col=engineLoadCOL("coll/fjk232.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4395;
	engineSetModelLODDistance(4395, 299);
	pModels[4396]={};
	pTable=pModels[4396];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4396);
	pTable.model=engineLoadDFF("models/fjk233.dff", 4396);
	pTable.col=engineLoadCOL("coll/fjk233.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4396;
	engineSetModelLODDistance(4396, 299);
	pModels[4397]={};
	pTable=pModels[4397];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4397);
	pTable.model=engineLoadDFF("models/fjk234.dff", 4397);
	pTable.col=engineLoadCOL("coll/fjk234.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4397;
	engineSetModelLODDistance(4397, 299);
	pModels[4398]={};
	pTable=pModels[4398];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4398);
	pTable.model=engineLoadDFF("models/fjk235.dff", 4398);
	pTable.col=engineLoadCOL("coll/fjk235.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4398;
	engineSetModelLODDistance(4398, 299);
	pModels[4399]={};
	pTable=pModels[4399];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4399);
	pTable.model=engineLoadDFF("models/fjk236.dff", 4399);
	pTable.col=engineLoadCOL("coll/fjk236.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4399;
	engineSetModelLODDistance(4399, 299);
	pModels[4400]={};
	pTable=pModels[4400];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4400);
	pTable.model=engineLoadDFF("models/fjk237.dff", 4400);
	pTable.col=engineLoadCOL("coll/fjk237.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4400;
	engineSetModelLODDistance(4400, 299);
	pModels[4401]={};
	pTable=pModels[4401];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4401);
	pTable.model=engineLoadDFF("models/fjk238.dff", 4401);
	pTable.col=engineLoadCOL("coll/fjk238.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4401;
	engineSetModelLODDistance(4401, 299);
	pModels[4402]={};
	pTable=pModels[4402];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4402);
	pTable.model=engineLoadDFF("models/fjk239.dff", 4402);
	pTable.col=engineLoadCOL("coll/fjk239.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4402;
	engineSetModelLODDistance(4402, 299);
	pModels[4403]={};
	pTable=pModels[4403];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4403);
	pTable.model=engineLoadDFF("models/fjk240.dff", 4403);
	pTable.col=engineLoadCOL("coll/fjk240.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4403;
	engineSetModelLODDistance(4403, 299);
	pModels[4404]={};
	pTable=pModels[4404];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4404);
	pTable.model=engineLoadDFF("models/fjk241.dff", 4404);
	pTable.col=engineLoadCOL("coll/fjk241.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4404;
	engineSetModelLODDistance(4404, 299);
	pModels[4405]={};
	pTable=pModels[4405];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4405);
	pTable.model=engineLoadDFF("models/fjk242.dff", 4405);
	pTable.col=engineLoadCOL("coll/fjk242.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4405;
	engineSetModelLODDistance(4405, 299);
	pModels[4406]={};
	pTable=pModels[4406];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4406);
	pTable.model=engineLoadDFF("models/fjk243.dff", 4406);
	pTable.col=engineLoadCOL("coll/fjk243.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4406;
	engineSetModelLODDistance(4406, 299);
	pModels[4407]={};
	pTable=pModels[4407];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4407);
	pTable.model=engineLoadDFF("models/fjk244.dff", 4407);
	pTable.col=engineLoadCOL("coll/fjk244.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4407;
	engineSetModelLODDistance(4407, 299);
	pModels[4408]={};
	pTable=pModels[4408];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4408);
	pTable.model=engineLoadDFF("models/fjk245.dff", 4408);
	pTable.col=engineLoadCOL("coll/fjk245.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4408;
	engineSetModelLODDistance(4408, 299);
	pModels[4409]={};
	pTable=pModels[4409];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4409);
	pTable.model=engineLoadDFF("models/fjk246.dff", 4409);
	pTable.col=engineLoadCOL("coll/fjk246.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4409;
	engineSetModelLODDistance(4409, 299);
	pModels[4410]={};
	pTable=pModels[4410];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4410);
	pTable.model=engineLoadDFF("models/fjk247.dff", 4410);
	pTable.col=engineLoadCOL("coll/fjk247.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4410;
	engineSetModelLODDistance(4410, 299);
	pModels[4411]={};
	pTable=pModels[4411];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4411);
	pTable.model=engineLoadDFF("models/fjk248.dff", 4411);
	pTable.col=engineLoadCOL("coll/fjk248.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4411;
	engineSetModelLODDistance(4411, 299);
	pModels[4412]={};
	pTable=pModels[4412];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4412);
	pTable.model=engineLoadDFF("models/fjk249.dff", 4412);
	pTable.col=engineLoadCOL("coll/fjk249.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4412;
	engineSetModelLODDistance(4412, 299);
	pModels[4413]={};
	pTable=pModels[4413];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4413);
	pTable.model=engineLoadDFF("models/fjk250.dff", 4413);
	pTable.col=engineLoadCOL("coll/fjk250.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4413;
	engineSetModelLODDistance(4413, 299);
	pModels[4414]={};
	pTable=pModels[4414];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4414);
	pTable.model=engineLoadDFF("models/fjk251.dff", 4414);
	pTable.col=engineLoadCOL("coll/fjk251.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4414;
	engineSetModelLODDistance(4414, 299);
	pModels[4415]={};
	pTable=pModels[4415];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4415);
	pTable.model=engineLoadDFF("models/fjk252.dff", 4415);
	pTable.col=engineLoadCOL("coll/fjk252.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4415;
	engineSetModelLODDistance(4415, 299);
	pModels[4416]={};
	pTable=pModels[4416];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4416);
	pTable.model=engineLoadDFF("models/fjk253.dff", 4416);
	pTable.col=engineLoadCOL("coll/fjk253.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4416;
	engineSetModelLODDistance(4416, 299);
	pModels[4417]={};
	pTable=pModels[4417];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4417);
	pTable.model=engineLoadDFF("models/fjk254.dff", 4417);
	pTable.col=engineLoadCOL("coll/fjk254.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4417;
	engineSetModelLODDistance(4417, 299);
	pModels[4418]={};
	pTable=pModels[4418];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4418);
	pTable.model=engineLoadDFF("models/fjk255.dff", 4418);
	pTable.col=engineLoadCOL("coll/fjk255.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4418;
	engineSetModelLODDistance(4418, 299);
	pModels[4419]={};
	pTable=pModels[4419];
	pTable.txd=requestTexture(pTable, "textures/fjk01.txd");
	engineImportTXD(pTable.txd, 4419);
	pTable.model=engineLoadDFF("models/fjk256.dff", 4419);
	pTable.col=engineLoadCOL("coll/fjk256.col");
	pTable.numStream=0;
	pTable.lod=299;
	pTable.id=4419;
	engineSetModelLODDistance(4419, 299);

	for m,n in pairs(pModels) do
		if (n.super) and not (n.col) then
           local superModel = pModels[n.super];
           if (superModel) then
			    n.col = superModel.col;
           end
		end
	end
end
loadModels();

for m,n in ipairs(getElementsByType("object", resourceRoot)) do
	if (isElementStreamedIn(n)) then
		source = n;
		modelStreamIn();
	end
end

addEventHandler("onClientElementStreamIn", resourceRoot, function()
		modelStreamIn();
	end
);
addEventHandler("onClientElementStreamOut", resourceRoot, function()
		modelStreamOut();
	end
);

addEventHandler("onClientResourceStop", resourceRoot, function()
		for m,n in pairs(pModels) do
			if (isElement(n.col)) then destroyElement(n.col); end
			if (isElement(n.model)) then destroyElement(n.model); end
			engineRestoreCOL(m);
			engineRestoreModel(m);
		end
       for m,n in pairs(textureCache) do
           destroyElement(n);
       end
	end
);

collectgarbage("collect");
